Bug 49925

Summary: Simplify makeprop.pl
Product: WebKit Reporter: Patrick R. Gansterer <paroga>
Component: Tools / TestsAssignee: Patrick R. Gansterer <paroga>
Status: RESOLVED FIXED    
Severity: Normal CC: abecsi, commit-queue, ossy
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on: 49922    
Bug Blocks:    
Attachments:
Description Flags
Patch none

Description Patrick R. Gansterer 2010-11-22 10:36:35 PST
see patch
Comment 1 Patrick R. Gansterer 2010-11-22 10:45:37 PST
Created attachment 74573 [details]
Patch
Comment 2 Andras Becsi 2010-11-23 05:13:59 PST
LGTM, thanks for doing this!

Ossy, could you review, please?
Comment 3 Andras Becsi 2010-11-23 05:17:08 PST
Sorry, there is no explicit dependency.
Comment 4 Patrick R. Gansterer 2010-11-23 05:21:53 PST
(In reply to comment #3)
> Sorry, there is no explicit dependency.
Not sure. IMHO CSSPropertyNames.cpp needs HashTools.h to compile, but if a buildsystem realy needs it, it would fail too at the moment. So bug 49922 will "fix" this missing dependency. ;-)
Comment 5 Andras Becsi 2010-11-23 05:33:57 PST
(In reply to comment #4)
> (In reply to comment #3)
> > Sorry, there is no explicit dependency.
> Not sure. IMHO CSSPropertyNames.cpp needs HashTools.h to compile, but if a buildsystem realy needs it, it would fail too at the moment. So bug 49922 will "fix" this missing dependency. ;-)

Actually the file still exists in the EWS' build tree because of the incremental build, that's why it builds currently and it will still exist after the other patch, so this could cause troubles without a clean build.

And also, please remove the dependency to CSSPropertyNamesHash.h from GNUmakefile.am:

./WebCore/GNUmakefile.am:97:    DerivedSources/WebCore/CSSPropertyNamesHash.h \
./WebCore/GNUmakefile.am:4554:DerivedSources/WebCore/CSSPropertyNamesHash.h: DerivedSources/WebCore/CSSPropertyNames.cpp
Comment 6 Andras Becsi 2010-11-23 05:36:23 PST
> And also, please remove the dependency to CSSPropertyNamesHash.h from GNUmakefile.am.

Ah, you did it, sorry.
Comment 7 Patrick R. Gansterer 2010-11-23 05:46:44 PST
(In reply to comment #5)
> Actually the file still exists in the EWS' build tree because of the incremental build, that's why it builds currently and it will still exist after the other patch, so this could cause troubles without a clean build.

AFAIK all buildsystem generate all files before they compile, so that's not a real problem IMHO. But that the files still exists in the DerivedSources directory is a general problem with incremental builds :-(.


(In reply to comment #6)
> > And also, please remove the dependency to CSSPropertyNamesHash.h from GNUmakefile.am.
> 
> Ah, you did it, sorry.
Yes ;-)
Comment 8 WebKit Commit Bot 2010-11-24 06:58:44 PST
Comment on attachment 74573 [details]
Patch

Rejecting patch 74573 from commit-queue.

Failed to run "['./WebKitTools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=abarth-cq-sl', 'build', '--no-clean', '--no-update', '--build-style=both']" exit_code: 1
ERROR: Working directory has local commits, pass --force-clean to continue.

Full output: http://queues.webkit.org/results/6299043
Comment 9 WebKit Commit Bot 2010-11-24 07:52:14 PST
Comment on attachment 74573 [details]
Patch

Clearing flags on attachment: 74573

Committed r72672: <http://trac.webkit.org/changeset/72672>
Comment 10 WebKit Commit Bot 2010-11-24 07:52:19 PST
All reviewed patches have been landed.  Closing bug.